## kdiff3 0.9.94

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(kdiff3)

find_package(KDE4 REQUIRED)
include (MacroLibrary)
SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
MACRO_OPTIONAL_FIND_PACKAGE(LibKonq)
MACRO_BOOL_TO_01(LIBKONQ_FOUND HAVE_LIBKONQ)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

include_directories( 
    ${KDE4_INCLUDE_DIR} 
    ${QT_INCLUDES}  
    ${CMAKE_CURRENT_BINARY_DIR}
    )

link_directories(
    ${KDE4_LIB_DIR}
    )

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-kdiff3.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kdiff3.h )

add_subdirectory(src-QT4)
add_subdirectory(po)
add_subdirectory(doc)
if(LIBKONQ_FOUND)
  message(STATUS "")
  message(STATUS "libkonq module found........... YES")
  message(STATUS "   => kdiff3plugin (KDiff3 contextmenu plugin for Konqueror) will be built.")
  message(STATUS "")
  add_subdirectory(kdiff3plugin-QT4)
else(LIBKONQ_FOUND)
  message(STATUS "")
  message(STATUS "libkonq module found........... NO")
  message(STATUS "   => kdiff3plugin (KDiff3 contextmenu plugin for Konqueror) will not be built.)")
  message(STATUS "")
endif(LIBKONQ_FOUND)

## kdiff3 0.9.95

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)

add_subdirectory(ar)
add_subdirectory(bg)
add_subdirectory(br)
add_subdirectory(cs)
add_subdirectory(cy)
add_subdirectory(da)
add_subdirectory(de)
add_subdirectory(el)
add_subdirectory(en_GB)
add_subdirectory(es)
add_subdirectory(et)
add_subdirectory(fr)
add_subdirectory(ga)
add_subdirectory(gl)
add_subdirectory(hi)
add_subdirectory(hu)
add_subdirectory(it)
add_subdirectory(ja)
add_subdirectory(ka)
add_subdirectory(lt)
add_subdirectory(nb)
add_subdirectory(nds)
add_subdirectory(nl)
add_subdirectory(pl)
add_subdirectory(pt)
add_subdirectory(pt_BR)
add_subdirectory(ro)
add_subdirectory(ru)
add_subdirectory(rw)
add_subdirectory(sv)
add_subdirectory(ta)
add_subdirectory(tg)
add_subdirectory(tr)
add_subdirectory(uk)
add_subdirectory(zh_CN)

=== debian/changelog ===
kdiff3 (0.9.95-7build3) oneiric; urgency=low

  * Rebuild for libkonq5abi1 transition.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 08 Jun 2011 13:03:08 +0200

kdiff3 (0.9.95-7build2) natty; urgency=low

  * Rebuild again for libkonq5a transition since armel got missed the first
    time

 -- Scott Kitterman <scott@kitterman.com>  Fri, 17 Dec 2010 22:13:10 -0500

kdiff3 (0.9.95-7build1) natty; urgency=low

  * No change, rebuild for libkonq5a transition

 -- Kristóf Kiszel <ulysses@kubuntu.org>  Wed, 03 Nov 2010 16:42:43 +0100

kdiff3 (0.9.95-7) unstable; urgency=low

  * I officially do declare that Filipus Klutiero and Filipus Klutiero
    are _not_ different people (see last changelog entry).
  * Made compilable for KDE 4.5, thanks to Adrian von Bidder (closes: #599806)
  * Standards version now 3.9.1 (no changes)
  * Doc package Replaces/Breaks old kdiff3 version instead of "Conflicts".

 -- Eike Sauer <eike@debian.org>  Tue, 12 Oct 2010 00:05:00 +0200

kdiff3 (0.9.95-6) unstable; urgency=low

  * Documentation was automatically compressed and therefore unusably
    (what a strange default...), thanks to Filipus Klutiero for pointing
    out and svuorela for his fixing help. (closes: #585949)
  * "Qt" instead of "QT" in short description, thanks to Filipus Klutiero.
    Two consecutive bug numbers by different people - cool. :o)
    (closes: #585948)
  * Added categories to .desktop file (thanks to svuorela for pointing out)
  * Standards version now 3.8.4 (no changes)

 -- Eike Sauer <eike@debian.org>  Tue, 15 Jun 2010 22:00:00 +0200

kdiff3 (0.9.95-5) unstable; urgency=low

  * KDE changed its doc path, so I had to do the same (closes: #584155)

 -- Eike Sauer <eike@debian.org>  Tue, 03 Jun 2010 20:15:00 +0200

kdiff3 (0.9.95-4) unstable; urgency=low

  * New year's edition, now really incorporating Jordi Pujol's
    bug fix for the konqueror context menu

 -- Eike Sauer <eike@debian.org>  Tue, 01 Jan 2010 18:00:00 +0100

kdiff3 (0.9.95-3) unstable; urgency=low

  * Call dh_icons for our gnome users (thanks to Ori Avtalion for the hint)
  * Let's make lintian at least as happy as Ubuntu. ;o)
    Fixed Source section, misc:depends, typos.
  * Context menu call to kdiff3 doesn't block konqueror anymore,
    thanks to Jordi Pujol (closes: #562185)
  * Standards version now 3.8.3 (no changes)

 -- Eike Sauer <eike@debian.org>  Tue, 29 Dec 2009 14:00:00 +0100

kdiff3 (0.9.95-2) unstable; urgency=low

  * KDE 4 goes to unstable - KDiff3 goes along
  * Standards version now 3.8.1 (no changes)

 -- Eike Sauer <eike@debian.org>  Mon, 06 Apr 2009 20:00:00 +0200

kdiff3 (0.9.95-1) experimental; urgency=low

  * New upstream release
    - Upstream included my changes for the QT version 
      and provided a script to generate QT language packs.

 -- Eike Sauer <eike@debian.org>  Sat, 07 Mar 2009 14:16:09 +0100

kdiff3 (0.9.94-3) experimental; urgency=low

  * Improved package descriptions

 -- Eike Sauer <eike@debian.org>  Tue, 28 Feb 2009 22:00:00 +0100

kdiff3 (0.9.94-2) experimental; urgency=low

  * Build QT version as well, resulting in an alternative package 
    not depending on KDE

 -- Eike Sauer <eike@debian.org>  Tue, 21 Feb 2009 20:00:00 +0100

kdiff3 (0.9.94-1) experimental; urgency=low

  * New upstream release

 -- Eike Sauer <eike@debian.org>  Tue, 20 Jan 2009 23:26:09 +0100

kdiff3 (0.9.93-3-1) experimental; urgency=low

  * New upstream release
    - Initial release for KDE 4. (Closes: #479316)
    - Thanks to Fathi Boudra for providing a first functional version 
      and calling my attention to cdbs!
  * Changed build from pure debhelper to cdbs, 
    resulting in a much cleaner debian/rules file.
  * Debhelper compatibility level changed from 4 to 7,
    but just to make it find my files automatically.

 -- Eike Sauer <eike@debian.org>  Tue, 14 Jan 2009 20:00:00 +0100

kdiff3 (0.9.92-3) unstable; urgency=low

  * Standards version now 3.8.0
  * Fixed kdiff3-doc section
  * Removed empty directory /usr/share/applnk
  * Removed extra leading whitespace from doc-base
  * Fixed doc-base section
 
 -- Eike Sauer <eike@debian.org>  Tue, 18 Dec 2008 20:00:00 +0100

kdiff3 (0.9.92-2) unstable; urgency=low

  * Include konqueror plugin in package (closes Ubuntu bug no. 145026)
  * Split package into kdiff3 and kdiff3-doc
 
 -- Eike Sauer <eike@debian.org>  Tue, 11 Nov 2007 20:00:00 +0100

kdiff3 (0.9.92-1) unstable; urgency=low

  * New upstream release
  	- now distinguishes between empty and non-existent files in "full analysis" 
  		mode (closes: #417086)
  	- fixed includes for gcc 4.3, thanks to Martin Michlmayr (closes: #417312)
  	Thanks to upstream for the Debian bug handling! :o)
 
 -- Eike Sauer <eike@debian.org>  Tue, 17 Apr 2007 16:18:32 +0200

kdiff3 (0.9.91-1) unstable; urgency=low

  * New upstream release
  * The I'm-a-DD-release...!

 -- Eike Sauer <eike@debian.org>  Sun, 18 Mar 2007 23:33:56 +0100

kdiff3 (0.9.90-5) unstable; urgency=low

  * Changed, moved and registered .desktop file (closes: #396790)
  
 -- Eike Sauer <eikes@cs.tu-berlin.de>  Tue, 30 Nov 2006 20:15:00 +0200

kdiff3 (0.9.90-4) unstable; urgency=low

  * Added AM_MAINTAINER_MODE
  
 -- Eike Sauer <eikes@cs.tu-berlin.de>  Tue, 12 Oct 2006 14:00:00 +0200

kdiff3 (0.9.90-3) unstable; urgency=low

  * More autotooling stuff...
  
 -- Eike Sauer <eikes@cs.tu-berlin.de>  Tue, 02 Oct 2006 16:30:00 +0200

kdiff3 (0.9.90-2) unstable; urgency=low

  * Really reduced dependencies (as promised in 0.9.89-1) this time...
  * manpage updated
  
 -- Eike Sauer <eikes@cs.tu-berlin.de>  Tue, 27 Sep 2006 17:40:00 +0200

kdiff3 (0.9.90-1) unstable; urgency=low

  * New upstream release
  * Standards version now 3.7.2

 -- Eike Sauer <eikes@cs.tu-berlin.de>  Tue, 30 May 2006 10:16:35 +0200

kdiff3 (0.9.89-1) unstable; urgency=low

  * New upstream release
  * Reduced dependencies from 27 to 5 packages...
    (see http://lists.debian.org/debian-devel-announce/2005/11/msg00016.html)



=== debian/control ===
Source: kdiff3
Priority: optional
Section: kde
Maintainer: Eike Sauer <eike@debian.org>
Build-Depends: cdbs, debhelper (>= 7.0.50~), cmake, kdelibs5-dev (>= 4:4.4.4), libkonq5-dev, docbook-to-man, qt3-dev-tools-compat
Standards-Version: 3.9.1
Homepage: http://kdiff3.sourceforge.net
Vcs-Svn: https://kdiff3.svn.sourceforge.net/svnroot/kdiff3/trunk/
Vcs-Browser: http://kdiff3.svn.sourceforge.net/viewvc/kdiff3/trunk/

Package: kdiff3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kdiff3-doc
Conflicts: kdiff3-qt
Description: compares and merges 2 or 3 files or directories
 KDiff3 compares two or three input files and shows the differences
 line by line and character by character. It provides an automatic
 merge facility and an integrated editor for comfortable solving of
 merge conflicts. KDiff3 allows recursive directory comparison and
 merging as well.
 .
 This is the standard version of KDiff3, highly integrated into KDE.
 It has got KIO support (allowing for remote access of files and
 direct access to files in compressed archives) and integration into
 konqueror's context menu. There's also a stripped-down version called
 kdiff3-qt not depending on the KDE libraries.

Package: kdiff3-qt
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kdiff3-doc
Conflicts: kdiff3
Description: compares and merges 2 or 3 files or directories -  Qt version
 KDiff3 compares two or three input files and shows the differences
 line by line and character by character. It provides an automatic
 merge facility and an integrated editor for comfortable solving of
 merge conflicts. KDiff3 allows recursive directory comparison and
 merging as well.
 .
 This version of KDiff3 is stripped-down so that it doesn't depend 
 on the KDE libraries. The package "kdiff3" contains the full-featured 
 version of the program.

Package: kdiff3-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: kdiff3 | kdiff3-qt
Replaces: kdiff3 (<= 0.9.92-1)
Breaks: kdiff3 (<= 0.9.92-1)
Description: documentation for kdiff3
 KDiff3 compares two or three input files and shows the differences
 line by line and character by character. This package contains the 
 HTML documentation.

## kdiff3 0.9.96

=== src-QT4/CMakeLists.txt ===


#add_definitions(-DQT3_SUPPORT -DQT3_SUPPORT_WARNINGS)


########### kdiff3 KPart ###############

set(kdiff3part_PART_SRCS 
   kdiff3_part.cpp 
   kdiff3.cpp 
   directorymergewindow.cpp 
   merger.cpp 
   pdiff.cpp 
   difftextwindow.cpp 
   diff.cpp 
   optiondialog.cpp 
   mergeresultwindow.cpp 
   fileaccess.cpp 
   gnudiff_analyze.cpp 
   gnudiff_io.cpp 
   gnudiff_xmalloc.cpp 
   common.cpp 
   smalldialogs.cpp )

kde4_add_plugin(kdiff3part WITH_PREFIX ${kdiff3part_PART_SRCS})

set_target_properties(kdiff3part PROPERTIES DEFINE_SYMBOL KDIFF3_PART)

target_link_libraries(kdiff3part  ${KDE4_KPARTS_LIBS} ${QT_QT3SUPPORT_LIBRARY})

install(TARGETS kdiff3part DESTINATION ${PLUGIN_INSTALL_DIR} )

########### kdiff3 executable ###############

set(kdiff3_SRCS 
   main.cpp 
   kdiff3_shell.cpp
   ${kdiff3part_PART_SRCS}
    )

kde4_add_executable(kdiff3 ${kdiff3_SRCS})

target_link_libraries(kdiff3  ${KDE4_KPARTS_LIBS} ${QT_QT3SUPPORT_LIBRARY} )

install(TARGETS kdiff3 ${INSTALL_TARGETS_DEFAULT_ARGS})


########### install files ###############

install( FILES  kdiff3part.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES  kdiff3_part.rc DESTINATION ${DATA_INSTALL_DIR}/kdiff3part )
install( FILES  kdiff3_shell.rc DESTINATION ${DATA_INSTALL_DIR}/kdiff3 )
install( PROGRAMS  kdiff3.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )

kde4_install_icons( ${ICON_INSTALL_DIR} )

=== debian/changelog ===
kdiff3 (0.9.96-4) unstable; urgency=low

  * Fixed lintian sutff: 
    - lintian override about versioned dependency for debhelper
    - build dependency for dpkg-dev
    - additional (redundant) licence paragraph
  * Preset text selected when reentering find dialog
    
 -- Eike Sauer <eike@debian.org>  Sat, 28 May 2012 20:00:00 +0200

kdiff3 (0.9.96-3) unstable; urgency=low

  * Dropped dependency on qt3-dev-tools-compat (closes: #673455)
  * Standards version now 3.9.3
  * Machine readable debian/copyright file
  * Hardening flags (AFAICT, the lintian warnings on this are wrong)
    
 -- Eike Sauer <eike@debian.org>  Sat, 19 May 2012 15:00:00 +0200

kdiff3 (0.9.96-2) unstable; urgency=low

  * Renamed "debian" patch (closes: #643175)
  * Standards version now 3.9.2 (no changes)
  * My old mail address is gone (after 17 years *sigh*), 
    replaced it where appropriate
    
 -- Eike Sauer <eike@debian.org>  Tue, 27 Sep 2011 20:00:00 +0200

kdiff3 (0.9.96-1) unstable; urgency=low

  * New upstream release (closes: #620050, #614834)
    Several patches have been taken by upstream
    
 -- Eike Sauer <eike@debian.org>  Mon, 05 Sep 2011 20:07:54 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Priority: optional
 Section: kde
 Maintainer: Eike Sauer <eike@debian.org>
-Build-Depends: cdbs, debhelper (>= 7.0.50~), cmake, kdelibs5-dev (>= 4:4.4.4), libkonq5-dev, docbook-to-man, qt3-dev-tools-compat
-Standards-Version: 3.9.1
+Build-Depends: cdbs, debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.2), cmake, kdelibs5-dev (>= 4:4.4.4), libkonq5-dev, docbook-to-man, qt4-dev-tools, libicu-dev
+Standards-Version: 3.9.3
 Homepage: http://kdiff3.sourceforge.net
 Vcs-Svn: https://kdiff3.svn.sourceforge.net/svnroot/kdiff3/trunk/
 Vcs-Browser: http://kdiff3.svn.sourceforge.net/viewvc/kdiff3/trunk/

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

#%:
#	dh  $@

# Use override_dh_* targets to customize this.
# ---------------------------------------------------

DEB_COMPRESS_EXCLUDE := ".docbook" 

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
# include /usr/share/cdbs/1/rules/simple-patchsys.mk
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

clean::
	# TODO if makefile...
	# clean QT version
	qmake-qt4 -nocache src-QT4/kdiff3.pro -o src-QT4/Makefile
	make -C src-QT4 distclean
	# remove generated man page
	rm -f debian/kdiff3.1

build/kdiff3::
	# generate man page
	/usr/bin/docbook-to-man debian/kdiff3.sgml > debian/kdiff3.1

build/kdiff3-qt::
	qmake-qt4 -nocache src-QT4/kdiff3.pro -o src-QT4/Makefile
	make -C src-QT4 prefix=$(CURDIR)/debian/kdiff3-qt

install/kdiff3::
	# install man page
	mkdir --parents $(DEB_DESTDIR)usr/share/man/man1
	cp debian/kdiff3.1 $(DEB_DESTDIR)usr/share/man/man1/kdiff3.1
	# update gnome's icon cache
	dh_icons --package kdiff3 --tmpdir=debian/tmp

install/kdiff3-qt::
	mkdir --parents $(CURDIR)/debian/kdiff3-qt
	make INSTALL_ROOT=$(CURDIR)/debian/kdiff3-qt install -C src-QT4 prefix=$(CURDIR)/debian/kdiff3-qt
	cd po && export INSTALL_ROOT=$(CURDIR)/debian/kdiff3-qt && /bin/sh create_qm_files install
	# update gnome's icon cache
	dh_icons --package kdiff3-qt --tmpdir=debian/tmp
	
install/kdiff3-doc::
	# install HTML help
	mkdir --parents $(DEB_DESTDIR)usr/share/doc/kdiff3-doc/html/
	cp doc/en/*.html $(DEB_DESTDIR)usr/share/doc/kdiff3-doc/html/

## kdiff3 0.9.97

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(kdiff3)

find_package(KDE4 REQUIRED)
include (MacroLibrary)
SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

include_directories( 
    ${KDE4_INCLUDE_DIR} 
    ${QT_INCLUDES}  
    ${CMAKE_CURRENT_BINARY_DIR}
    )

link_directories(
    ${KDE4_LIB_DIR}
    )

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-kdiff3.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kdiff3.h )

add_subdirectory(src-QT4)
add_subdirectory(po)
add_subdirectory(doc)


find_file(KFILEITEMACTIONPLUGIN_FOUND kfileitemactionplugin.h PATHS ${KDE4_INCLUDE_DIR} NO_DEFAULT_PATH)
if(KFILEITEMACTIONPLUGIN_FOUND)
  message(STATUS "")
  message(STATUS "kfileitemactionplugin.h found........... YES")
  message(STATUS "   => kdiff3fileitemactionplugin (KDiff3 contextmenu plugin for Konqueror/Dolphin, KDE>4.6) will be built.")
  message(STATUS "")
  add_subdirectory(kdiff3fileitemactionplugin)
else(KFILEITEMACTIONPLUGIN_FOUND)
  message(STATUS "")
  message(STATUS "kfileitemactionplugin.h found........... NO")
  message(STATUS "   => kdiff3fileitemactionplugin (KDiff3 contextmenu plugin for Konqueror/Dolphin, KDE>4.6) will not be built.)")
  message(STATUS "Trying fallback via libkonq (works with Konqueror only) ...")
  MACRO_OPTIONAL_FIND_PACKAGE(LibKonq)
  MACRO_BOOL_TO_01(LIBKONQ_FOUND HAVE_LIBKONQ)
  if(LIBKONQ_FOUND)
    message(STATUS "")
    message(STATUS "libkonq module found........... YES")
    message(STATUS "   => kdiff3plugin (KDiff3 contextmenu plugin for Konqueror) will be built.")
    message(STATUS "")
    add_subdirectory(kdiff3plugin-QT4)
  else(LIBKONQ_FOUND)
    message(STATUS "")
    message(STATUS "libkonq module found........... NO")
    message(STATUS "   => kdiff3plugin (KDiff3 contextmenu plugin for Konqueror) will not be built.)")
    message(STATUS "")
  endif(LIBKONQ_FOUND)
endif(KFILEITEMACTIONPLUGIN_FOUND)

=== diff_ext_for_kdiff3/Makefile ===
# Project: diff_ext
# Generates diff_ext_for_kdiff3.dll with gcc.
# Can be used for Cygwin and MingW (MingW ignores -mno-cygwin)
#
PROJ := diff_ext_for_kdiff3

CXX  ?= g++.exe

ifdef DEBUG
  CXXFLAGS ?= -g
else
  CXXFLAGS ?= -Os
  LDFLAGS += -s -static-libgcc
endif
CXXFLAGS += -pedantic -Wall -W -D_UNICODE -DUNICODE

LIBS :=  -luuid -lole32
DEFFILE = $(PROJ).def
STATICLIB = $(PROJ).a
EXPLIB = $(PROJ).exp

SRC-CXX = $(wildcard *.cpp)
SRC-RC = $(wildcard *.rc)

OBJ  := $(SRC-CXX:.cpp=.o)
RES  := $(SRC-RC:.rc=.res)
OBJ += $(RES)
DLL  := $(PROJ).dll

.PHONY: all clean

.SUFFIXES: .rc .res

all: .depend $(DLL)

debug:
	$(MAKE) DEBUG=YES UNICODE=YES

release:
	$(MAKE) 

.depend: Makefile $(SRC-RC) $(SRC-CXX)
	$(CXX) -M $(CXXFLAGS) $(SRC-RC) $(SRC-CXX) > .depend
	
include .depend

clean:
	del  .depend $(OBJ) $(DLL) ${EXPLIB} $(STATICLIB)

$(DLL): $(OBJ)
	dllwrap.exe \
		--mno-cygwin \
		--def $(DEFFILE) \
		--output-exp ${EXPLIB} \
		--driver-name c++ -L/usr/local/lib -L/usr/lib/mingw \
		--implib $(STATICLIB) \
		$(OBJ) $(LDFLAGS) $(LIBS) \
		-o $@

.cpp.o:
	$(CXX) $(CXXFLAGS) -c $< -o $@ 

.rc.res:
	windres.exe  $< -J rc -o $@ -O coff -DMING

=== kdiff3plugin-QT4/CMakeLists.txt ===
########### kdiff3 plugin ###############
find_package(LibKonq REQUIRED)
set(kdiff3plugin_SRCS 
   kdiff3plugin.cpp ) 

kde4_add_plugin(kdiff3plugin WITH_PREFIX ${kdiff3plugin_SRCS})

target_link_libraries(kdiff3plugin ${KDE4_KDECORE_LIBS} ${KDE4_KPARTS_LIBS} konq )
#${KDE4_KDECORE_LIBRARY} ${KDE4_KDEUI_LIBRARY} ${KDE4_KIO_LIBRARY} QtGui QtCore konq )

install(TARGETS kdiff3plugin DESTINATION ${PLUGIN_INSTALL_DIR} )

########## install files ###############

install( FILES kdiff3_plugin.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== doc/de/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/de SUBDIR kdiff3)

=== doc/en/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kdiff3)

=== doc/fr/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/fr SUBDIR kdiff3)

=== po/ka/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(ka ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/ml/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(ml ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/nn/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(nn ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== debian/changelog ===
kdiff3 (0.9.97-3) unstable; urgency=low

  * Included upstream fix for merge saving bug (closes: #703174).
  * No more using docbook-to-man, which has been orphaned years ago.

 -- Eike Sauer <eike@debian.org>  Sun, 16 Jun 2013 13:05:00 +0200

kdiff3 (0.9.97-2) unstable; urgency=low

  * Path to help file in kdiff3-qt fixed (closes: #700424)
    (doesn't look beautiful, but at least there's some text...)
  * Updated standard version to 3.9.4. No changes needed.

 -- Eike Sauer <eike@debian.org>  Sun, 01 Mar 2013 11:42:00 +0100

kdiff3 (0.9.97-1) unstable; urgency=low

  * New upstream release
  * Upstream has accepted and improved my find dialog patch

 -- Eike Sauer <eike@debian.org>  Sat, 26 Jan 2013 11:54:44 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Priority: optional
 Section: kde
 Maintainer: Eike Sauer <eike@debian.org>
-Build-Depends: cdbs, debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.2), cmake, kdelibs5-dev (>= 4:4.4.4), libkonq5-dev, docbook-to-man, qt4-dev-tools, libicu-dev
-Standards-Version: 3.9.3
+Build-Depends: cdbs, debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.2), cmake, kdelibs5-dev (>= 4:4.4.4), libkonq5-dev, qt4-dev-tools, libicu-dev
+Standards-Version: 3.9.4
 Homepage: http://kdiff3.sourceforge.net
 Vcs-Svn: https://kdiff3.svn.sourceforge.net/svnroot/kdiff3/trunk/
 Vcs-Browser: http://kdiff3.svn.sourceforge.net/viewvc/kdiff3/trunk/

=== debian/rules ===
--- 
+++ 
@@ -22,12 +22,6 @@
 	# clean QT version
 	qmake-qt4 -nocache src-QT4/kdiff3.pro -o src-QT4/Makefile
 	make -C src-QT4 distclean
-	# remove generated man page
-	rm -f debian/kdiff3.1
-
-build/kdiff3::
-	# generate man page
-	/usr/bin/docbook-to-man debian/kdiff3.sgml > debian/kdiff3.1
 
 build/kdiff3-qt::
 	qmake-qt4 -nocache src-QT4/kdiff3.pro -o src-QT4/Makefile
@@ -36,7 +30,7 @@
 install/kdiff3::
 	# install man page
 	mkdir --parents $(DEB_DESTDIR)usr/share/man/man1
-	cp debian/kdiff3.1 $(DEB_DESTDIR)usr/share/man/man1/kdiff3.1
+	cp doc/en/kdiff3.1 $(DEB_DESTDIR)usr/share/man/man1/kdiff3.1
 	# update gnome's icon cache
 	dh_icons --package kdiff3 --tmpdir=debian/tmp

## kdiff3 0.9.98

=== diff_ext_for_kdiff3/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
   CXXFLAGS ?= -g
 else
   CXXFLAGS ?= -Os
-  LDFLAGS += -s -static-libgcc
+  LDFLAGS += -L. -s -static-libgcc
 endif
 CXXFLAGS += -pedantic -Wall -W -D_UNICODE -DUNICODE
 
@@ -49,7 +49,6 @@
 
 $(DLL): $(OBJ)
 	dllwrap.exe \
-		--mno-cygwin \
 		--def $(DEFFILE) \
 		--output-exp ${EXPLIB} \
 		--driver-name c++ -L/usr/local/lib -L/usr/lib/mingw \

=== doc/CMakeLists.txt ===
add_subdirectory(en)
add_subdirectory(da)
add_subdirectory(de)
add_subdirectory(es)
add_subdirectory(et)
add_subdirectory(fr)
add_subdirectory(it)
add_subdirectory(nl)
add_subdirectory(pt)

=== kdiff3fileitemactionplugin/CMakeLists.txt ===
kde4_add_plugin(kdiff3fileitemaction kdiff3fileitemaction.cpp)
target_link_libraries(kdiff3fileitemaction ${KDE4_KIO_LIBS} ${LibKDiff3_LIBRARIES})
install(TARGETS kdiff3fileitemaction DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kdiff3fileitemaction.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== src-QT4/CMakeLists.txt ===
--- 
+++ 
@@ -20,15 +20,16 @@
    gnudiff_io.cpp 
    gnudiff_xmalloc.cpp 
    common.cpp 
-   smalldialogs.cpp )
+   smalldialogs.cpp 
+   progress.cpp )
 
-kde4_add_plugin(kdiff3part WITH_PREFIX ${kdiff3part_PART_SRCS})
+#kde4_add_plugin(kdiff3part WITH_PREFIX ${kdiff3part_PART_SRCS})
 
-set_target_properties(kdiff3part PROPERTIES DEFINE_SYMBOL KDIFF3_PART)
+#set_target_properties(kdiff3part PROPERTIES DEFINE_SYMBOL KDIFF3_PART)
 
-target_link_libraries(kdiff3part  ${KDE4_KPARTS_LIBS} ${QT_QT3SUPPORT_LIBRARY})
+#target_link_libraries(kdiff3part  ${KDE4_KPARTS_LIBS} ${QT_QT3SUPPORT_LIBRARY})
 
-install(TARGETS kdiff3part DESTINATION ${PLUGIN_INSTALL_DIR} )
+#install(TARGETS kdiff3part DESTINATION ${PLUGIN_INSTALL_DIR} )
 
 ########### kdiff3 executable ###############

=== doc/nl/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/nl SUBDIR kdiff3)

=== doc/sv/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/sv SUBDIR kdiff3)

=== po/br/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(br ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/nb/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(nb ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/rw/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(rw ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== debian/changelog ===
kdiff3 (0.9.98-4) unstable; urgency=low

  * Removed vcs-* info from debian/control. 
    It didn't point to package source.
  * Removed libkonq5-dev from Build-Depends (closes: #887478)
  * Fixed minor stuff reported by cme
  * kdiff3-doc marked as Multi-Arch: foreign

 -- Eike Sauer <eike@debian.org>  Thu, 25 Jan 2018 17:28:00 +0100

kdiff3 (0.9.98-3) unstable; urgency=low

  * Removed usage of MAX_PATH which doesn't exist on hurd (closes: #823042)
  * Fixed lintian waring dep5-copyright-license-name-not-unique
  * Use UTF-8 for documentation generation, no matter the system's locale.
    Improvement in reproducible builds.
  * Updated standard version to 3.9.8. No changes needed.

 -- Eike Sauer <eike@debian.org>  Sat, 07 May 2016 17:42:00 +0200

kdiff3 (0.9.98-2) unstable; urgency=low

  * Workaround for differences not showing in status bar after 
    start (closes: #757206).
  * Fixed crash I was getting by comparing two completely different files
  * Finally got rid of the lintian hardening warning for kdiff3-qt
  * Updated standard version to 3.9.6. No changes needed.

 -- Eike Sauer <eike@debian.org>  Sun, 26 Jul 2015 12:31:00 +0200

kdiff3 (0.9.98-1) unstable; urgency=low

  * New upstream release
  * Got rid of many unnecessary depends thanks to patch from 
    Pino Toscano (closes: #749460).
  * Included patch from Pino Toscano to enable parallel build 
    (closes: #749459).
  * We need to build or html doc files on our own now.

 -- Eike Sauer <eike@debian.org>  Sun, 03 Aug 2014 17:37:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: kdiff3
+Maintainer: Eike Sauer <eike@debian.org>
+Section: kde
 Priority: optional
-Section: kde
-Maintainer: Eike Sauer <eike@debian.org>
-Build-Depends: cdbs, debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.2), cmake, kdelibs5-dev (>= 4:4.4.4), libkonq5-dev, qt4-dev-tools, libicu-dev
-Standards-Version: 3.9.4
+Build-Depends: cdbs, debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.2), cmake, kdelibs5-dev (>= 4:4.4.4), qt4-dev-tools, libicu-dev
+Standards-Version: 3.9.8
 Homepage: http://kdiff3.sourceforge.net
-Vcs-Svn: https://kdiff3.svn.sourceforge.net/svnroot/kdiff3/trunk/
-Vcs-Browser: http://kdiff3.svn.sourceforge.net/viewvc/kdiff3/trunk/
 
 Package: kdiff3
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Recommends: kdiff3-doc
 Conflicts: kdiff3-qt
 Description: compares and merges 2 or 3 files or directories
@@ -29,7 +28,8 @@
 Package: kdiff3-qt
 Architecture: any
 Section: devel
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Recommends: kdiff3-doc
 Conflicts: kdiff3
 Description: compares and merges 2 or 3 files or directories -  Qt version
@@ -45,11 +45,12 @@
 
 Package: kdiff3-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Recommends: kdiff3 | kdiff3-qt
+Breaks: kdiff3 (<= 0.9.92-1)
 Replaces: kdiff3 (<= 0.9.92-1)
-Breaks: kdiff3 (<= 0.9.92-1)
 Description: documentation for kdiff3
  KDiff3 compares two or three input files and shows the differences
  line by line and character by character. This package contains the

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,8 @@
 # ---------------------------------------------------
 
 DEB_COMPRESS_EXCLUDE := ".docbook" 
+DEB_BUILD_PARALLEL = 1
+export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/cmake.mk
@@ -25,7 +27,7 @@
 
 build/kdiff3-qt::
 	qmake-qt4 -nocache src-QT4/kdiff3.pro -o src-QT4/Makefile
-	make -C src-QT4 prefix=$(CURDIR)/debian/kdiff3-qt
+	make $(DEB_MAKE_PARALLEL) -C src-QT4 prefix=$(CURDIR)/debian/kdiff3-qt
 
 install/kdiff3::
 	# install man page
@@ -42,6 +44,8 @@
 	dh_icons --package kdiff3-qt --tmpdir=debian/tmp
 	
 install/kdiff3-doc::
-	# install HTML help
+	# generate HTML help
 	mkdir --parents $(DEB_DESTDIR)usr/share/doc/kdiff3-doc/html/
-	cp doc/en/*.html $(DEB_DESTDIR)usr/share/doc/kdiff3-doc/html/
+	cp doc/en/index.docbook $(DEB_DESTDIR)usr/share/doc/kdiff3-doc/html/
+	# use UTF-8 for documentation generation, no matter the system's locale
+	cd  $(DEB_DESTDIR)usr/share/doc/kdiff3-doc/html/ && LC_ALL=C.UTF-8 meinproc4 index.docbook

=== debian/watch ===
# As version numbering of KDiff3 has changed from 0.93, 0.931, ... to 0.9.50, 0.9.60,
# we have to dump the former ones. They would be considered to have a higher version
# number by uscan. Addition: Ignore a x.y.zz-QT version as well.
# Yet another version numbering change: We've got 0.9.93-3 now... But "-QT" versions
# are automatically ignored now.

version=3
http://sf.net/kdiff3/kdiff3-(.\..\..*)\.tar.gz debian uupdate

## kdiff3 1.7.90

=== CMakeLists.txt ===
#cmake < 3.1 has no sane way of checking C++11 features and needed flags
cmake_minimum_required(VERSION 3.1 FATAL_ERROR)

project(kdiff3)

set(CMAKE_CXX_EXTENSIONS OFF ) #don't use non-standard extensions
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
set(ECM_MIN_VERSION "5.10.0")
set(QT_MIN_VERSION "5.6.0")
set(KF5_MIN_VERSION "5.23.0")

find_package(ECM ${ECM_MIN_VERSION} CONFIG REQUIRED)
set(
    CMAKE_MODULE_PATH
    ${CMAKE_MODULE_PATH}
    ${ECM_MODULE_PATH}
    ${ECM_KDE_MODULE_DIR}
)

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings NO_POLICY_SCOPE)
include(FeatureSummary)

include(ECMInstallIcons)
include(ECMAddAppIcon)
include(ECMSetupVersion)

ecm_setup_version(1.7.90 VARIABLE_PREFIX KDIFF3 VERSION_HEADER ${CMAKE_BINARY_DIR}/src/version.h)

find_package(
    Qt5 ${QT_MIN_VERSION}
    CONFIG
    REQUIRED
    COMPONENTS
    Core
    Gui
    Widgets
    PrintSupport
)

find_package(
    KF5 ${KF5_MIN_VERSION}
    REQUIRED
    COMPONENTS
    I18n
    CoreAddons
    Crash
    DocTools
    IconThemes
)


set(KDiff3_LIBRARIES ${Qt5PrintSupport_LIBRARIES} KF5::I18n KF5::CoreAddons KF5::Crash KF5::IconThemes )

if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    #Adjust clang specific  warnings
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wshadow")
    set(CLANG_WARNING_FLAGS "-Wno-invalid-pp-token -Wno-comment -Wshorten-64-to-32 -Wstring-conversion -Wc++11-narrowing")
    set(CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} ${CLANG_WARNING_FLAGS}")
elseif(CMAKE_CXX_COMPILER_ID MATCHES "MSVC")
    add_definitions(-DNOMINMAX) #Suppress MSVCs min/max macros
elseif(CMAKE_CXX_COMPILER_ID MATCHES "GNU" AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 7.0)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wduplicated-cond -Wduplicated-branches -Wshadow")
endif()

#new in cmake 3.6+ integrate clang-tidy
if(NOT ${CMAKE_VERSION} VERSION_LESS "3.6.0")
    find_program(CLANG_TIDY_EXE NAMES "clang-tidy" "clang-tidy-7" "clang-tidy-6.0" "clang-tidy-6" DOC "Path to clang-tidy executable")
    if(NOT CLANG_TIDY_EXE)
        message(STATUS "clang-tidy not found disabling integration.")
    else()
        message(STATUS "Found clang-tidy: ${CLANG_TIDY_EXE}")
        set(CMAKE_CXX_CLANG_TIDY "${CLANG_TIDY_EXE}" "-header-filter=.*")
    endif()
endif()

set(CMAKE_C_FLAGS  "${CMAKE_C_FLAGS} ${CMAKE_CXX_FLAGS}")

set(
    needed_features
    cxx_nullptr
    cxx_override
    cxx_nonstatic_member_init
    cxx_inheriting_constructors
)

add_definitions(
    -DQT_DEPRECATED_WARNINGS #Get warnings from QT about deprecated functions.
    -DQT_NO_URL_CAST_FROM_STRING #implict casting from string to url does not always behave as you might think
    -DQT_RESTRICTED_CAST_FROM_ASCII #casting from char*/QByteArray to QString can produce unexpected results for non-latin characters.
)

add_subdirectory(src)
add_subdirectory(doc)

add_subdirectory(kdiff3fileitemactionplugin)

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===


########### kdiff3 KPart ###############
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Parts WidgetsAddons)

set(kdiff3part_PART_SRCS
   kdiff3_part.cpp
   kdiff3.cpp
   directorymergewindow.cpp
   merger.cpp
   pdiff.cpp
   difftextwindow.cpp
   diff.cpp
   optiondialog.cpp
   mergeresultwindow.cpp
   fileaccess.cpp
   gnudiff_analyze.cpp
   gnudiff_io.cpp
   gnudiff_xmalloc.cpp
   common.cpp
   smalldialogs.cpp
   progress.cpp
   ProgressProxyExtender.cpp
   PixMapUtils.cpp
   MergeFileInfos.cpp
   Utils.cpp
   selection.cpp
   cvsignorelist.cpp )

add_library(kdiff3part MODULE ${kdiff3part_PART_SRCS})

set_target_properties(kdiff3part PROPERTIES DEFINE_SYMBOL KDIFF3_PART)
target_compile_features(kdiff3part PRIVATE ${needed_features})
target_link_libraries(kdiff3part ${KDiff3_LIBRARIES} KF5::Parts)

install(TARGETS kdiff3part DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/parts )

########### kdiff3 executable ###############
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Parts WidgetsAddons Config)

set(kdiff3_SRCS
   main.cpp
   kdiff3_shell.cpp
   ${kdiff3part_PART_SRCS}
    )

add_executable(kdiff3 ${kdiff3_SRCS})

target_link_libraries(kdiff3 KF5::ConfigCore KF5::ConfigGui KF5::Parts ${KDiff3_LIBRARIES} )
target_compile_features(kdiff3 PRIVATE ${needed_features})

install(TARGETS kdiff3 ${INSTALL_TARGETS_DEFAULT_ARGS})


########### install files ###############

install( FILES  kdiff3part.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR} )
install( FILES  kdiff3_part.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/kdiff3part )
install( FILES  kdiff3_shell.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/kdiff3 )
#install( PROGRAMS  kdiff3.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( PROGRAMS org.kde.kdiff3.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES org.kde.kdiff3.appdata.xml DESTINATION ${SHARE_INSTALL_PREFIX}/appdata )

add_subdirectory(icons)

=== src/icons/CMakeLists.txt ===
ecm_install_icons(
  ICONS
    16-apps-kdiff3.png
    22-apps-kdiff3.png
    32-apps-kdiff3.png
    48-apps-kdiff3.png
    64-apps-kdiff3.png
    128-apps-kdiff3.png
    256-apps-kdiff3.png
    sc-apps-kdiff3.svgz
  DESTINATION ${KDE_INSTALL_ICONDIR}
  THEME hicolor
)

=== debian/changelog ===
kdiff3 (1.7.90-3) unstable; urgency=low

  * Hopefully did fix lib atomic problem now.

 -- Eike Sauer <eike@debian.org>  Wed, 23 Jan 2019 20:25:00 +0100

kdiff3 (1.7.90-2) unstable; urgency=low

  * Fixed file conflict between kdiff3 and kdiff3-doc - sorry! 
    (Closes: #919310)
  * Fixed various warnings (lintian, multi-arch, watch file)
  * Trying to link with lib atomic for some 32 bit architectures.
    Not yet closing bug #919406 as I'm not sure it will work.

 -- Eike Sauer <eike@debian.org>  Sat, 19 Jan 2019 12:12:00 +0100

kdiff3 (1.7.90-1) unstable; urgency=low

  * KDiff3 has been orphaned by Joachim Eibl - thanks for writing
    this great program and maintaining it for over a decade!
  * It has been adopted by KDE, in particular Michael Reeves
    - thanks for keeping KDiff3 alive!
  * ported to KDE 5/QT5 by Michael Reeves (closes: #874949)
  * The QT only version has been "lost in translation".
  * works now in KDE 5 dolphin (closes: #801680)

 -- Eike Sauer <eike@debian.org>  Tue, 08 Jan 2019 11:17:00 +0100

=== debian/control ===
Source: kdiff3
Maintainer: Eike Sauer <eike@debian.org>
Section: kde
Priority: optional
Build-Depends: cdbs, debhelper, docbook-to-man, cmake, extra-cmake-modules, qtbase5-dev, libkf5coreaddons-dev, libkf5crash-dev, libkf5doctools-dev, libkf5iconthemes-dev, libkf5i18n-dev, libkf5parts-dev
Standards-Version: 3.9.8
Homepage: http://kdiff3.sourceforge.net

Package: kdiff3
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: kdiff3-doc
Breaks: kdiff3-qt (<<1.0)
Replaces: kdiff3-qt (<<1.0)
Description: compares and merges 2 or 3 files or directories
 KDiff3 compares two or three input files and shows the differences
 line by line and character by character. It provides an automatic
 merge facility and an integrated editor for comfortable solving of
 merge conflicts. KDiff3 allows recursive directory comparison and
 merging as well.
 .
 This is the standard version of KDiff3, highly integrated into KDE.
 It has got KIO support (allowing for remote access of files and
 direct access to files in compressed archives) and integration into
 konqueror's context menu. There's also a stripped-down version called
 kdiff3-qt not depending on the KDE libraries.

Package: kdiff3-qt
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Section: oldlibs
Recommends: kdiff3 (>=1.7.90-2)
Description: transistional package - QT version is replaced by KDE version 'kdiff3'
 This is a transitional package. It can safely be removed.
 .
 This version of KDiff3 was stripped-down so it didn't depend on the KDE
 libraries. It is replaced by the full-featured version of the program,
 "kdiff3".

Package: kdiff3-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Recommends: kdiff3
Breaks: kdiff3 (<= 1.7.90-1)
Replaces: kdiff3 (<= 1.7.90-1)
Description: documentation for kdiff3
 KDiff3 compares two or three input files and shows the differences
 line by line and character by character. This package contains the 
 HTML documentation.

## kdiff3 1.8.01

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,6 @@
     CMAKE_MODULE_PATH
     ${CMAKE_MODULE_PATH}
     ${ECM_MODULE_PATH}
-    ${ECM_KDE_MODULE_DIR}
 )
 
 include(KDEInstallDirs)
@@ -26,7 +25,7 @@
 include(ECMAddAppIcon)
 include(ECMSetupVersion)
 
-ecm_setup_version(1.7.90 VARIABLE_PREFIX KDIFF3 VERSION_HEADER ${CMAKE_BINARY_DIR}/src/version.h)
+ecm_setup_version(1.8.1 VARIABLE_PREFIX KDIFF3 VERSION_HEADER ${CMAKE_BINARY_DIR}/src/version.h)
 
 find_package(
     Qt5 ${QT_MIN_VERSION}
@@ -50,22 +49,26 @@
     IconThemes
 )
 
+option(ENABLE_CLANG_TIDY "Run clang-tidy if available and cmake version >=3.6" OFF)
 
 set(KDiff3_LIBRARIES ${Qt5PrintSupport_LIBRARIES} KF5::I18n KF5::CoreAddons KF5::Crash KF5::IconThemes )
 
 if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
     #Adjust clang specific  warnings
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wshadow")
-    set(CLANG_WARNING_FLAGS "-Wno-invalid-pp-token -Wno-comment -Wshorten-64-to-32 -Wstring-conversion -Wc++11-narrowing")
+    set(CLANG_WARNING_FLAGS "-Wno-invalid-pp-token -Wno-comment -Wshorten-64-to-32 -Wstring-conversion -Wc++11-narrowing -fstack-protector-all")
     set(CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} ${CLANG_WARNING_FLAGS}")
 elseif(CMAKE_CXX_COMPILER_ID MATCHES "MSVC")
     add_definitions(-DNOMINMAX) #Suppress MSVCs min/max macros
-elseif(CMAKE_CXX_COMPILER_ID MATCHES "GNU" AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 7.0)
+elseif(CMAKE_CXX_COMPILER_ID MATCHES "GNU")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-check")
+    if(CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 7.0)
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wduplicated-cond -Wduplicated-branches -Wshadow")
+    endif()
 endif()
 
 #new in cmake 3.6+ integrate clang-tidy
-if(NOT ${CMAKE_VERSION} VERSION_LESS "3.6.0")
+if(ENABLE_CLANG_TIDY AND NOT ${CMAKE_VERSION} VERSION_LESS "3.6.0")
     find_program(CLANG_TIDY_EXE NAMES "clang-tidy" "clang-tidy-7" "clang-tidy-6.0" "clang-tidy-6" DOC "Path to clang-tidy executable")
     if(NOT CLANG_TIDY_EXE)
         message(STATUS "clang-tidy not found disabling integration.")
@@ -83,12 +86,14 @@
     cxx_override
     cxx_nonstatic_member_init
     cxx_inheriting_constructors
+    cxx_static_assert
 )
 
 add_definitions(
     -DQT_DEPRECATED_WARNINGS #Get warnings from QT about deprecated functions.
-    -DQT_NO_URL_CAST_FROM_STRING #implict casting from string to url does not always behave as you might think
+    -DQT_NO_URL_CAST_FROM_STRING # casting from string to url does not always behave as you might think
     -DQT_RESTRICTED_CAST_FROM_ASCII #casting from char*/QByteArray to QString can produce unexpected results for non-latin characters.
+    -DQT_NO_CAST_TO_ASCII
 )
 
 add_subdirectory(src)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -25,13 +25,18 @@
    MergeFileInfos.cpp
    Utils.cpp
    selection.cpp
-   cvsignorelist.cpp )
+   cvsignorelist.cpp
+   SourceData.cpp
+   Overview.cpp
+   Logging.cpp
+   FileNameLineEdit.cpp )
 
 add_library(kdiff3part MODULE ${kdiff3part_PART_SRCS})
 
 set_target_properties(kdiff3part PROPERTIES DEFINE_SYMBOL KDIFF3_PART)
 target_compile_features(kdiff3part PRIVATE ${needed_features})
-target_link_libraries(kdiff3part ${KDiff3_LIBRARIES} KF5::Parts)
+target_link_libraries(kdiff3part ${KDiff3_LIBRARIES} KF5::Parts KF5::Crash)
+target_compile_definitions(kdiff3part PRIVATE -DTRANSLATION_DOMAIN=\"kdiff3\")
 
 install(TARGETS kdiff3part DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/parts )
 
@@ -46,7 +51,7 @@
 
 add_executable(kdiff3 ${kdiff3_SRCS})
 
-target_link_libraries(kdiff3 KF5::ConfigCore KF5::ConfigGui KF5::Parts ${KDiff3_LIBRARIES} )
+target_link_libraries(kdiff3 KF5::ConfigCore KF5::ConfigGui KF5::Parts KF5::Crash ${KDiff3_LIBRARIES} )
 target_compile_features(kdiff3 PRIVATE ${needed_features})
 
 install(TARGETS kdiff3 ${INSTALL_TARGETS_DEFAULT_ARGS})
@@ -59,6 +64,6 @@
 install( FILES  kdiff3_shell.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/kdiff3 )
 #install( PROGRAMS  kdiff3.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
 install( PROGRAMS org.kde.kdiff3.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
-install( FILES org.kde.kdiff3.appdata.xml DESTINATION ${SHARE_INSTALL_PREFIX}/appdata )
+install( FILES org.kde.kdiff3.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )
 
 add_subdirectory(icons)

=== doc/en/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kdiff3)
kdoctools_create_manpage (man-kdiff3.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})

=== src/icons/CMakeLists.txt ===
set(KDIFF3_ICONS
     16-apps-kdiff3.png
     22-apps-kdiff3.png
     32-apps-kdiff3.png
     48-apps-kdiff3.png
     64-apps-kdiff3.png
     128-apps-kdiff3.png
     256-apps-kdiff3.png
     sc-apps-kdiff3.svgz
)

# add icons to application sources, to have them bundled
ecm_add_app_icon(kdiff3_SRCS ICONS ${KDIFF3_ICONS})

ecm_install_icons(
  ICONS
   ${KDIFF3_ICONS}
  DESTINATION ${KDE_INSTALL_ICONDIR}
  THEME hicolor
)

=== debian/changelog ===
kdiff3 (1.8.01-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:17:03 +0100

kdiff3 (1.8.01-1) unstable; urgency=low

  * New upstream release (this time a real tagged release)
  * Upstream fixed directory handling (closes: #920976)
  * Applied patch versus crash by Bernhard Übelacker (closes: #926408)
  * Updated control homepage field (closes: #927966)

 -- Eike Sauer <eike@debian.org>  Sat, 06 Jul 2019 13:10:00 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Priority: optional
 Build-Depends: cdbs, debhelper, docbook-to-man, cmake, extra-cmake-modules, qtbase5-dev, libkf5coreaddons-dev, libkf5crash-dev, libkf5doctools-dev, libkf5iconthemes-dev, libkf5i18n-dev, libkf5parts-dev
 Standards-Version: 3.9.8
-Homepage: http://kdiff3.sourceforge.net
+Homepage: https://kde.org/applications/development/kdiff3
 
 Package: kdiff3
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

#%:
#	dh  $@

# Use override_dh_* targets to customize this.
# ---------------------------------------------------

DEB_COMPRESS_EXCLUDE := ".docbook" 
DEB_BUILD_PARALLEL = 1
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
# include /usr/share/cdbs/1/rules/simple-patchsys.mk
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

install/kdiff3::
	# install man page
	mkdir --parents $(DEB_DESTDIR)usr/share/man/man1
	docbook-to-man debian/kdiff3.sgml > $(DEB_DESTDIR)usr/share/man/man1/kdiff3.1
	# update gnome's icon cache
	dh_icons --package kdiff3 --tmpdir=debian/tmp

install/kdiff3-doc::
	# generate HTML help
	mkdir --parents $(DEB_DESTDIR)usr/share/doc/kdiff3-doc/html/
	cp doc/en/index.docbook $(DEB_DESTDIR)usr/share/doc/kdiff3-doc/html/
	# use UTF-8 for documentation generation, no matter the system's locale
	cd  $(DEB_DESTDIR)usr/share/doc/kdiff3-doc/html/ && LC_ALL=C.UTF-8 meinproc5 index.docbook
